Bug 90150 - update USE_RC_SUBR for >= 700007
update USE_RC_SUBR for >= 700007
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: portmgr
Depends on:
  Show dependency treegraph
Reported: 2005-12-09 16:50 UTC by pav
Modified: 2006-01-21 19:55 UTC (History)
0 users

See Also:

file.diff (871 bytes, patch)
2005-12-09 16:50 UTC, pav
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pav freebsd_committer 2005-12-09 16:50:03 UTC
Doug Barton checked a new infrastructure that integrates startup scripts
installed by ports into /usr/local/etc/rc.d into system rcorder. It's strongly
desirable to install startup scripts without .sh suffix, because scripts
suffixed with .sh are considered "non-compatible" and rcorder is not used with

I'm not addressing USE_RCORDER consumers for now. They can be converted to
USE_RC_SUBR once we deprecate systems older then 700007, or on case-by-case
basis now.

Please consider attached fix:
Comment 1 pav freebsd_committer 2005-12-09 16:51:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to the keepers of the keys, masters of the seventh circle. 


See also the useful conversation on this topic in
Comment 2 Mark Linimon freebsd_committer 2005-12-19 01:33:31 UTC
State Changed
From-To: open->analyzed

Accepted for testing on the cluster.
Comment 3 flz 2005-12-30 14:16:22 UTC
	I think USE_RCORDER behavior must be changed too. There's no point in 
	installing scripts in /etc/rc.d/ since rcorder uses local startup scripts.

	I guess it would be easier to add a USE_RC_SCRIPT variable similar to the 
	USE_RC_SUBR one (transition speaking).

	Just my 0.02$.

Florent Thoumie
FreeBSD Committer
Comment 4 Mark Linimon freebsd_committer 2006-01-21 19:55:52 UTC
State Changed
From-To: analyzed->closed

Committed, thanks.